searchData={"items":[{"type":"extras","title":"Heroicons CSS","doc":"# Heroicons CSS\n\nThis package will import the icon set from Heroicons including all available variants.\n\nCheck them at [heroicons](https://heroicons.com/)!\n\nHeroicons is shipped by default in [Phoenix](https://hexdocs.pm/phoenix/1.8.0-rc.3/asset_management.html#alternative-icon-libraries) but the package is imported as a Github dependency.\n\n```elixir\ndefp deps do\n  [\n    #...\n    {:tailwind, \"~> 0.3\", runtime: Mix.env() == :dev},\n    {:heroicons,\n     github: \"tailwindlabs/heroicons\",\n     tag: \"v2.1.1\",\n     sparse: \"optimized\",\n     app: false,\n     compile: false,\n     depth: 1},\n    {:swoosh, \"~> 1.16\"},\n    #...\n  ]\nend\n```\n\nWith this package you can import them using regular hexpm dependency in case you need that.\n\n```elixir\ndefp deps do\n  [\n    #...\n    {:tailwind, \"~> 0.3\", runtime: Mix.env() == :dev},\n    {:heroicons_css, \"2.2.0\", compile: false, app: false},\n    {:swoosh, \"~> 1.16\"},\n    #...\n  ]\nend\n```\n\nHere are some reasons for wanting to use a Hexpm package:\n\n- easier to update using regular Hexpm versioning (e.g. latest)\n- when builders in CI/CD pipelines do not have `git` installed\n- get a cleaner `mix.exs` file with all the deps in one line (thus easily sortable alphabetically)","ref":"readme.html"},{"type":"extras","title":"Installation - Heroicons CSS","doc":"The package can be installed by adding `heroicons_css` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [ \n    # ...,\n    {:heroicons_css, \">= 0.0.0\", compile: false, app: false}\n  ]\nend\n```\n\n> Note: Using `\">= 0.0.0\"`, you'll be sure to always get the latest version of the icons currently being `2.2.0`.\n\n> #### Updating the default `heroicons.js` file {: .info}\n>\n> You will need to update the icons deps path in `assets/vendor/heroicons.js` (default Phoenix path)\n>\n>     // assets/vendor/heroicons.js\n>     -  let iconsDir = path.join(__dirname, \"../../deps/heroicons/optimized\")\n>     +  let iconsDir = path.join(__dirname, \"../../deps/heroicons_css/optimized\")\n\nEverything else will just work the same way than default Phoenix.","ref":"readme.html#installation"},{"type":"extras","title":"Disclaimer - Heroicons CSS","doc":"This package is not affiliated with Heroicons nor Tailwind Labs/Tailwind CSS.\n\nThis repo is using the TailwindLabs Heroicons repository as a source: [`tailwindlabs/heroicons`](https://github.com/tailwindlabs/heroicons).\n\nParticularly the icons from the [`optimized` folder](https://github.com/tailwindlabs/heroicons/tree/master/optimized) as in the default Phoenix configuration.\n\nThe version of this package should match the Heroicons version.","ref":"readme.html#disclaimer"},{"type":"extras","title":"License - Heroicons CSS","doc":"MIT","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}